Subject: Re: Some questions about areas

From: Sergey Matveev <[email-masked]>
Date: Tue, 17 Aug 2021 21:35:48 +0300

Greetings!

*** John Goerzen [2021-08-17 00:19]:
>1) What is the interaction between "subs" and "via"?  If I list a node in
>subs and have a default via for it elsewhere in the config, is that via
>used?

Yes, "via" is applied everywhere where packet sending happens.
Everything listed in "subs" is used as a destination for every
copy of relayed area packet.

>2) I'm a little unclear on the difference between having a machine that
>lacks the keypair and one that lacks the area entirely.

The one that lacks the area entirely can not do with the packet anything
at all. It just can tell that "I see some area packet, and won't/can't
do anything with it". If you add area knowledge (its area id), then you
can at least create copied of the encrypted area packet to everyone in
"subs". You can relay it, that is treated like successful processing.
Adding keypair gives ability to decrypt that area packet for storing the
file/exec transmissions.
No keypair -> you can still relay packets.
No area knowledge at all -> you can only drop that packets.
No "via" and routing plays any special role in multicast areas.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF